
QGIS Application - Bug report #15654

Processing: TrainImagesClassifier (libvm) returns an error message

2016-10-03 02:16 AM - Filipe Dias

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 23577

Description

Algorithm TrainImagesClassifier (libsvm) starting...

/usr/bin/otbcli_TrainImagesClassifier

-io.il

"/media/fd/Dados/FilipeTrabalho/vanda/ortos/2002/588-I-1.tif " 

-io.vd

"/home/fd/Desktop/ROI.shp " 

-io.imstat

/home/fd/Desktop/588-I-1.xml

-elev.default

0

-sample.mt

1000

-sample.mv

1000

-sample.bm

1

-sample.edg

true

-sample.vtr

0.5

-sample.vfn

class

-classifier

libsvm

-classifier.libsvm.k

linear

-classifier.libsvm.c

1

-classifier.libsvm.opt

true

-rand

0

-io.confmatout

"/home/fd/Desktop/matrix.csv" 

-io.out

"/home/fd/Desktop/model.txt" 

ERROR: option -classifier.libsvm.k does not exist in the application. 

This is the TrainImagesClassifier application, version 5.4.0 

Train a classifier from multiple pairs of images and training vector data.
History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-05-01 10:55 AM - Giovanni Manghi

A few providers are being removed from QGIS3 (they will be available as plugins), so the respective categories are also being removed from the bug

tracker. Where necessary the tickets will be reassigned to "processing/core" to not leave them orphaned of category.

#3 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#4 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core

#5 - 2017-05-03 07:18 PM - Alexander Bruy

- Resolution set to up/downstream

- Description updated

- Status changed from Open to Rejected

Moved to plugin bugtracker https://github.com/volaya/qgis-otb-plugin/issues/10
https://github.com/volaya/qgis-otb-plugin/issues/10

